# Failure

interface Failure

Represents a failure. Failures are similar to exceptions but carry less information (only a message, a description and a cause) so they can be used in a wider scope than just the JVM where the exception failed.

#### Since

2.4

#### Inheritors

TestFailure

## Functions

getCauses
Link copied to clipboard
abstract fun getCauses(): List<out Failure>
Returns the underlying causes for this failure, if any.
getDescription
Link copied to clipboard
@Nullable
abstract fun getDescription(): @Nullable String
Returns a long description of the failure.
getMessage
Link copied to clipboard
@Nullable
abstract fun getMessage(): @Nullable String
Returns a short message (typically one line) for the failure.
getProblems
Link copied to clipboard
@Incubating
abstract fun getProblems(): List<Problem>
Returns the problems associated with this failure.